Package org.apache.sling.distribution.serialization

## Interface DistributionContentSerializerProvider

All Known Implementing Classes:
  `FileVaultContentSerializerProvider`

    @ConsumerType
    public interface DistributionContentSerializerProvider

A provider for content serializer used to convert distribution payloads to and from binary streams.

### Method Summary

All Methods Instance Methods Abstract Methods
`DistributionContentSerializer` `build​(String name, ExportSettings exportSettings, ImportSettings importSettings)`

### Method Detail

#### build

    DistributionContentSerializer build​(String name,
                                        ExportSettings exportSettings,
                                        ImportSettings importSettings)

Parameters:
  `name` - The serializer name
  `exportSettings` - settings for export
  `importSettings` - settings for import
Returns:
  a distribution content serializer